<?php

defined('JPATH_BASE') or die;

class JFormFieldPageTitleOverride extends JFormField
{
	public $type = 'PageTitleOverride';

	protected function getInput() {		
		$html = '';
		$html .= '<div id="page_title_override_form">';
		$html .= '<div class="input-group"><span class="input-group-addon">' . JText::_('TPL_GK_LANG_ADD_RULE_ITEMID_OPTION') . '</span>';
		$html .= '<input class="form-control" type="text" id="page_title_override_input" /></div>';
		$html .= '<div class="input-group"><span class="input-group-addon">' . JText::_('TPL_GK_LANG_ADD_RULE_STATE') . '</span>';
		$html .= '<select class="form-control custom-select" type="text" value="off" id="page_title_override_select">';
		$html .= '<option value="on">'. JText::_('TPL_GK_LANG_ON').'</option>';
		$html .= '<option value="off">'. JText::_('TPL_GK_LANG_OFF').'</option>';
		$html .= '</select>';
		$html .= '<span class="input-group-btn"><input class="btn" type="button" value="'.JText::_('TPL_GK_LANG_ADD_RULE').'" id="page_title_override_add_btn" /></span></div>';
		$html .= '<textarea name="'.$this->name.'" id="'.$this->id.'">' . htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8') . '</textarea>';
		$html .= '<div id="page_title_override_rules"></div>';
		$html .= '</div>';

		return $html;
	}
}